<template lang="html">
    <div id="operators">
        <h3 class="text-center">Выберите оператора</h3><hr>

        <ul class="list-unstyled">
            <li v-for="(operator, index) in this.$store.getters.getOperators" :key="operator.id">
                <router-link :to="{path: '/payment/'+operator.id, params: {id: operator.id}}" class="btn btn-primary btn-lg btn-block">
                    <span class="text-underline" :style="{ 'borderColor': operator.color }">{{operator.title}}</span>
                </router-link>
            </li>
        </ul>
    </div>
</template>

<script>
    export default {
        data () {
            return {
            }
        },
    }
</script>

<style lang="scss" scoped>
    ul {
        margin-bottom: 0;
    }
        li {
            margin-bottom: 10px;
        }

    .btn-lg  {
        padding: 2rem 1rem;
    }

    .text-underline {
        border-bottom: 1px solid #fff;
    }
</style>

